Staredit Network > Forums > Modding Assistance > Topic: diferent grps for heros?
diferent grps for heros?
Aug 28 2007, 9:56 pm
By: RoryFenrir  

Aug 29 2007, 7:45 pm RoryFenrir Post #21



okay were can i actually get a good downgrader?

------

nvm i got it but i dont get how to use it, how do you extract the mpq to data\subfolder\ ?

Post has been edited 1 time(s), last time on Aug 29 2007, 10:53 pm by RoryFenrir.



None.

Aug 29 2007, 10:54 pm who Post #22



http://farty1billion.dyndns.org/SCD3/
Starcraft Downgrader
Once you've got the program, you'll need to get a patch. download it from the page first, then extract the files into the main directory of the downgrader. Then run the "SDD3 Patch Installer.exe".
After that, you should be able to choose the patch you installed in the main prog.
to change the directory to downgrade, change the configuration file (so you can have 2 scs)

edit: what mpq? did you use the 1 i linked 2?

Post has been edited 1 time(s), last time on Aug 29 2007, 11:09 pm by someone09.



None.

Aug 30 2007, 10:09 pm bajadulce Post #23



Yes, Farty's Downgrader works well, and is a good program.

Another VERY simple method is to just manually copy/paste older version patch_rt.mpq, starcraft.exe, and storm.dll files to your starcraft folder as you need them. Here is how you would do this:

1. Download the necessary patches from Blizzard OLD PATCHES HERE.
2. Start w/ the lowest patch, and each time you upgrade copy/paste the 3 files starcraft.exe, patch_rt.mpq and storm.dll from your SC directory into a new folder w/ a name that represents that version. i.e. 1.10, 1.11, 1.13 etc. including the current 1.15.1 folder.
3. Copy/paste these folder's contents to your Starcraft directory when you want to downgrade/upgrade.

* To start w/ a lower patch you may need to DELETE your current patch_rt.mpq AND manually extract a lower version starcraft.exe from your CD from install.exe (You'll see it way down at bottom of list. Mine is archived v105\starcraft.exe.) Obviously you only have to do this once, or you can reinstall as well to get to a lower starting version.

* if you plan to play multiplayer games w/ downgraded versions you should also copy the files standard.snp and battle.snp as well.



None.

Aug 31 2007, 1:08 am who Post #24



problem with that method is that it won't let you patch older versions if you have a newer one installed, so that method only works if you reinstall starcraft first.



None.

Aug 31 2007, 5:54 am bajadulce Post #25



Quote from bajadulce
* To start w/ a lower patch you may need to DELETE your current patch_rt.mpq AND manually extract a lower version starcraft.exe from your CD from install.exe (You'll see it way down at bottom of list. Mine is archived v105\starcraft.exe.) Obviously you only have to do this once, or you can reinstall as well to get to a lower starting version.
:) Also if you wanna be a modder, then be prepared to reinstall SC over and over and over again.. (cause you're bound to screw up some .mpq unintentionally eventually). Copy install.exe from the cd's to your hard-drive. It only takes less than 2 minutes to reinstall SC then.



None.

Aug 31 2007, 11:21 pm RoryFenrir Post #26



i dled the patches from the site, unzipped them, placed all the files in the patch all folder in the data folder and it still says no patch was found



None.

Sep 1 2007, 12:15 am who Post #27



you have run the patch installer exe
then it'll show up in the program
read my posts more carefully



None.

Sep 1 2007, 4:54 am DT_Battlekruser Post #28



Quote from RoryFenrir
i dled the patches from the site, unzipped them, placed all the files in the patch all folder in the data folder and it still says no patch was found

SCDowngrader is a little sensitive about things. You need to place the patch data file (just the one file) in the /data/ subfolder, and then place the BAT file in the main folder (the one with the EXE), and run the BAT file.

Then it should recognize the version.




None.

Sep 1 2007, 5:59 pm RoryFenrir Post #29



okay never mind, thanks for all your help but none of this is working, ill just make the hero bc a regular bc and make it's attack something aswome and just not have yamito for the regular but then have it for the hero... Or ill wait until another ver of firegraft to come out



None.

Sep 19 2007, 7:58 pm bajadulce Post #30



Also if for whatever reason you can't get a downgrader to work and the above instructions for deleting you current "patch" seem a bit complicated, you can always "downpatch" to version 1.07. That Blizzard patcher is the exception and will allow you to downgrade from a higher version. From there you can "upgrade" to any version you want. Also Blizzard Maps will work in 1.10 if you use the official patcher.

BTW here is Blizzard's indexed patch page.



None.

Sep 19 2007, 9:55 pm who Post #31



1.07 is too low, you need 1.14 or 1.15 to run firegraft.



None.

Sep 20 2007, 7:20 am bajadulce Post #32



Sorry I was confusing. Blizzard's 1.07 patcher allows you to downgrade without reinstalling SC (answer to your post #24) From there you can upgrade to any version you want via Blizzard's patchers or copy/paste method I described. v1.07 patcher can be run from higher versions and is the exception.

Also if you patch using blizzard's patchers, 1.10 Blizzard maps will be playable/recognized by SC. Most downgraders such as Farty's will not.

I only brought this up because for whatever reason Rory couldn't get the downgrader to work and this is a non-3rd party solution. It may seem a bit round-a-bout, but it is quite simple. No setup is required. No .bat files, no 2nd directory, no reg edits etc, no problems upgrading back to current SC, no problems w/ maps etc, etc. :)

Post has been edited 1 time(s), last time on Sep 20 2007, 7:31 am by bajadulce.



None.

Options
  Back to forum
Please log in to reply to this topic or to report it.
Members in this topic: None.
[04:17 am]
O)FaRTy1billion[MM] -- imagine having minerals
[2020-8-02. : 5:44 pm]
Dem0n -- ya I'm below 3100 smh
[2020-8-02. : 2:22 pm]
Wing Zero -- Ya
[2020-8-02. : 1:12 pm]
Voyager7456 -- seriously
[2020-8-02. : 12:56 pm]
lil-Inferno -- can these boxes fuccing give me some fuccing minerals already
[2020-8-02. : 12:56 pm]
lil-Inferno -- :wob:
[2020-8-02. : 12:22 pm]
Ultraviolet -- :wob:
[2020-8-01. : 8:55 pm]
MTiger156 -- :wob:
[2020-8-01. : 8:17 pm]
UndeadStar -- :wob:
[2020-7-30. : 9:53 am]
Ultraviolet -- C(a)HeK C(a)HeK
C(a)HeK shouted: Ultraviolet https://www.youtube.com/watch?v=yuH9cAvfOHA
Awesome! Unfortunately the Mercenaries video is just for normal Mercenaries not the 2020 version I made. But I watched the Mercs III video all the way through, it was a lot of fun to watch. He had some good feedback, I agreed with all of it.
Please log in to shout.


Members Online: Roy